import {WordRotatorBaseSite} from "./WordRotatorBaseSite";
import {InitPromise} from "../../../../../js/lib/pwa-lib";
import {Matomo} from "../../../../../js/lib/pwa-assets";

export class PrivacyPolicySite extends WordRotatorBaseSite {
    constructor(siteManager) {
        super(siteManager, "html/application/privacyPolicy.html", "privacyPolicy");
    }

    onStart(args) {
        Matomo.update("Privacy Policy Site");
        return super.onStart(args);
    }
}

InitPromise.addPromise(app => {
    app.addDeepLink("privacyPolicy", PrivacyPolicySite);
});